Gecode::Int::Extensional::VarTraits< Var > Class Template Reference

Traits class for variables. More...

`#include <layered-graph.hpp>`

## Detailed Description

template<class Var>
class Gecode::Int::Extensional::VarTraits< Var >

Traits class for variables.

Each variable must specialize this traits class and add a

typedef

for the view View corresponding to this variable.

Definition at line 46 of file layered-graph.hpp.

The documentation for this class was generated from the following file:

- gecode/int/extensional/layered-graph.hpp